function primitives = getBox(img,name,resolution,primitives)

if nargin<4
    primitives = struct;
    primitives.list = [];
end

%trim image
img2d = squeeze(sum(img,3));
xrange = find(sum(img2d,1)>0);
yrange = find(sum(img2d,2)>0);
zrange = find(sum(sum(img,1),2));

imgcrop = img(min(yrange):max(yrange),min(xrange):max(xrange),min(zrange):max(zrange));

%calculate size required
imgsize =size(imgcrop);
imgsize = [imgsize(2),imgsize(1),imgsize(3)];
% padding = [1,1,1];
padding = [2,2,1];
Boxsize = (imgsize.*resolution)/2+padding;
%calculate position

ind = length(primitives.list)+1;
primitives.list(ind).name = name;
primitives.list(ind).type = 'cube';
primitives.list(ind).position = [0,0,0]+[ceil(mean(xrange)),ceil(mean(yrange)),ceil(mean(zrange))].*resolution+padding;
primitives.list(ind).rotation = [0,0,0];
primitives.list(ind).scale = Boxsize;
primitives.list(ind).ordinal = 0;



end

